Package org.eclipse.zest.layouts

# Interface LayoutItem

All Known Subinterfaces:
  `LayoutEntity`, `LayoutRelationship`, `NestedLayoutEntity`

All Known Implementing Classes:
  `InternalNode`, `InternalRelationship`

@Deprecated(since="2.0", forRemoval=true) public interface LayoutItem
Deprecated, for removal: This API element is subject to removal in a future version.
Use `EntityLayout` instead. This class will be removed in a future release.
Super interface for both Layout Entities and Layout Relationships

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getGraphData()`
Deprecated, for removal: This API element is subject to removal in a future version.
`void`
`setGraphData(Object o)`
Deprecated, for removal: This API element is subject to removal in a future version.

## Method Details

### setGraphData

void setGraphData(Object o)
Deprecated, for removal: This API element is subject to removal in a future version.

### getGraphData

Object getGraphData()
Deprecated, for removal: This API element is subject to removal in a future version.